Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454895 - Review Request: sitecopy - Tool for easily maintaining remote web sites
Summary: Review Request: sitecopy - Tool for easily maintaining remote web sites
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-10 16:28 UTC by Rakesh Pandit
Modified: 2008-08-12 18:25 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-12 03:01:31 UTC
kevin: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Rakesh Pandit 2008-07-10 16:28:51 UTC
Description:

Sitecopy allows you to easily maintain remote Web sites.  The program
will upload files to the server which have changed locally, and delete
files from the server which have been removed locally, to keep the
remote site synchronized with the local site, with a single
command. sitecopy will also optionally try to spot files you move
locally, and move them remotely.  FTP and WebDAV servers are
supported.

SPEC FILE: http://rakesh.gnulinuxcentar.org/sitecopy.spec
SRPM: http://rakesh.gnulinuxcentar.org/sitecopy-0.16.3-2.fc8.src.rpm

This is my fifth package review submission and I am looking for sponsor.

Comment 1 Kevin Fenzi 2008-07-15 16:42:38 UTC
I'd be happy to review this. Look for a full review a bit later today...


Comment 2 Kevin Fenzi 2008-07-15 19:16:12 UTC
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
See below - License
See below - License field in spec matches
See below - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
df48499ad81b333a9d255c1709e09a1a  sitecopy-0.16.3.tar.gz
df48499ad81b333a9d255c1709e09a1a  sitecopy-0.16.3.tar.gz.orig
See below - BuildRequires correct
OK - Spec handles locales/find_lang
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.   
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
OK - No rpmlint output.
OK - final provides and requires are sane:

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs
OK - Should have dist tag
OK - Should package latest version

Issues:

1. The License tag here should be:
GPLv2+
as far as I can see. All the source files say "or any later version".

2. From the build output:
checking for neon-config... none
configure: no external neon library found
configure: using bundled neon (0.26.0)
You seem to be missing a 'BuildRequires: neon-devel' ?

Possibly also:
configure: zlib not supported
configure: SSL support is not enabled

zlib-devel and openssl-devel ?

There might also be some gettext or the like BuildRequires missing, as
configure reports:
  Internationalization:  Built using native support



Comment 3 Rakesh Pandit 2008-07-16 15:00:44 UTC
1. Fixed

2. neon-devel - fixed
   internationalization - fixed
   openssl-devel - fixed 
   There are two messages:
        configure: zlib not supported
        configure: Thread-safe SSL not supported
   "zlib not supported" - From Changelog & configure script it looks like zlib 
code was breaking and they have disabled its use and bypassing functions. I 
will try to confirm by digging further today. 

SRPM: http://rakesh.fedorapeople.org/srpm/sitecopy-0.16.3-3.fc9.src.rpm
SPEC: http://rakesh.fedorapeople.org/spec/sitecopy.spec


Comment 4 Rakesh Pandit 2008-07-16 16:36:55 UTC
Letest release today solves these messages:
I have updated to latest release.
SPEC: http://rakesh.fedorapeople.org/spec/sitecopy.spec
SRPM: http://rakesh.fedorapeople.org/srpm/sitecopy-0.16.5-1.fc9.src.rpm

Comment 5 Kevin Fenzi 2008-07-17 00:25:15 UTC
That does indeed solve all the issues I see, so this package is APPROVED. 

I have sponsored you, so you should continue the process at: 
http://fedoraproject.org/wiki/PackageMaintainers/Join#Add_Package_to_CVS_and_Set_Owner
for this and your other approved package.

Please let me know via email or irc if I can assist you any with the process...
welcome!

Comment 6 Rakesh Pandit 2008-07-17 02:42:13 UTC
New Package CVS Request
=======================
Package Name: sitecopy
Short Description: Tool for easily maintaining remote web sites
Owners: rakesh
Branches: F-8 F-9
InitialCC: rakesh
Cvsextras Commits: yes

Comment 7 Kevin Fenzi 2008-07-17 18:26:50 UTC
cvs done.

Comment 8 Fedora Update System 2008-07-18 04:34:39 UTC
sitecopy-0.16.5-1.fc8 has been submitted as an update for Fedora 8

Comment 9 Fedora Update System 2008-07-18 04:40:23 UTC
sitecopy-0.16.5-1.fc9 has been submitted as an update for Fedora 9

Comment 10 Fedora Update System 2008-07-19 09:43:32 UTC
sitecopy-0.16.5-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sitecopy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-6541

Comment 11 Fedora Update System 2008-08-12 18:23:39 UTC
sitecopy-0.16.5-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2008-08-12 18:25:22 UTC
sitecopy-0.16.5-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.